import { localize } from '../../nls.js';
import { ParseErrorCode } from './json.js';
function getParseErrorMessage(errorCode) {
    switch (errorCode) {
        case ParseErrorCode.InvalidSymbol: return ( localize(839, 'Invalid symbol'));
        case ParseErrorCode.InvalidNumberFormat: return ( localize(840, 'Invalid number format'));
        case ParseErrorCode.PropertyNameExpected: return ( localize(841, 'Property name expected'));
        case ParseErrorCode.ValueExpected: return ( localize(842, 'Value expected'));
        case ParseErrorCode.ColonExpected: return ( localize(843, 'Colon expected'));
        case ParseErrorCode.CommaExpected: return ( localize(844, 'Comma expected'));
        case ParseErrorCode.CloseBraceExpected: return ( localize(845, 'Closing brace expected'));
        case ParseErrorCode.CloseBracketExpected: return ( localize(846, 'Closing bracket expected'));
        case ParseErrorCode.EndOfFileExpected: return ( localize(847, 'End of file expected'));
        default:
            return '';
    }
}
export { getParseErrorMessage };
