import { localize } from '../../../../nls.js';
import { Codicon } from '../../../../base/common/codicons.js';
import { registerIcon } from '../../../../platform/theme/common/iconRegistry.js';
const getStartedIcon = registerIcon('remote-explorer-get-started', Codicon.star, ( localize(10838, 'Getting started icon in the remote explorer view.')));
const documentationIcon = registerIcon('remote-explorer-documentation', Codicon.book, ( localize(10839, 'Documentation icon in the remote explorer view.')));
registerIcon('remote-explorer-feedback', Codicon.twitter, ( localize(10840, 'Feedback icon in the remote explorer view.')));
const reviewIssuesIcon = registerIcon('remote-explorer-review-issues', Codicon.issues, ( localize(10841, 'Review issue icon in the remote explorer view.')));
const reportIssuesIcon = registerIcon('remote-explorer-report-issues', Codicon.comment, ( localize(10842, 'Report issue icon in the remote explorer view.')));
const remoteExplorerViewIcon = registerIcon('remote-explorer-view-icon', Codicon.remoteExplorer, ( localize(10843, 'View icon of the remote explorer view.')));
const portsViewIcon = registerIcon('ports-view-icon', Codicon.plug, ( localize(10844, 'View icon of the remote ports view.')));
registerIcon('ports-view-icon', Codicon.plug, ( localize(10845, 'Icon representing a remote port.')));
const privatePortIcon = registerIcon('private-ports-view-icon', Codicon.lock, ( localize(10846, 'Icon representing a private remote port.')));
const forwardPortIcon = registerIcon('ports-forward-icon', Codicon.plus, ( localize(10847, 'Icon for the forward action.')));
const stopForwardIcon = registerIcon('ports-stop-forward-icon', Codicon.x, ( localize(10848, 'Icon for the stop forwarding action.')));
const openBrowserIcon = registerIcon('ports-open-browser-icon', Codicon.globe, ( localize(10849, 'Icon for the open browser action.')));
const openPreviewIcon = registerIcon('ports-open-preview-icon', Codicon.openPreview, ( localize(10850, 'Icon for the open preview action.')));
const copyAddressIcon = registerIcon('ports-copy-address-icon', Codicon.clippy, ( localize(10851, 'Icon for the copy local address action.')));
const labelPortIcon = registerIcon('ports-label-icon', Codicon.tag, ( localize(10852, 'Icon for the label port action.')));
const forwardedPortWithoutProcessIcon = registerIcon('ports-forwarded-without-process-icon', Codicon.circleOutline, ( localize(10853, 'Icon for forwarded ports that don\'t have a running process.')));
const forwardedPortWithProcessIcon = registerIcon('ports-forwarded-with-process-icon', Codicon.circleFilled, ( localize(10854, 'Icon for forwarded ports that do have a running process.')));
export { copyAddressIcon, documentationIcon, forwardPortIcon, forwardedPortWithProcessIcon, forwardedPortWithoutProcessIcon, getStartedIcon, labelPortIcon, openBrowserIcon, openPreviewIcon, portsViewIcon, privatePortIcon, remoteExplorerViewIcon, reportIssuesIcon, reviewIssuesIcon, stopForwardIcon };
